#!/bin/sh

MYDIR="$(pwd)"
USERNAME=$(whoami)
USERID=$(id -ur)


echo --Begin sw_vers > /tmp/report.txt
sw_vers >> /tmp/report.txt

echo --Begin Hostinfo >> /tmp/report.txt
hostinfo >> /tmp/report.txt

echo --Begin NewConsole Log >> /tmp/report.txt
tail -n 1000 /Library/Logs/Console/$USERNAME/console.log | grep Nisus >> /tmp/report.txt

echo --Begin Console UserID=$USERID Log >> /tmp/report.txt
tail -n 1000 /Library/Logs/Console/$USERID/console.log | grep Nisus >> /tmp/report.txt

ls -1 $HOME/Library/Logs/CrashReporter/Nisus* | while read i; do
    echo --Begin $i >> /tmp/report.txt
    tail -n 1000 "$i" >> /tmp/report.txt
done

echo --Begin internal debug extra >> /tmp/report.txt
cat /tmp/nisus_report_extra.txt >> /tmp/report.txt
cat /dev/null > /tmp/nisus_report_extra.txt
rm -f /tmp/nisus_report_extra.txt

cp /tmp/report.txt /tmp/nisus_report.txt
gzip -f /tmp/report.txt
