#Nisus Macro Block
#source front selection
#destination front selection
#End Nisus Macro Block
binmode(STDIN, ":utf8");
binmode(STDOUT, ":utf8");

while (my $line = <STDIN>) {
	$line =~ s/^[\t ]+|[\t ]+$//g; #Remove leading and trailing white space
	$line =~ s/  +/ /g; #Replace multiple spaces with one
	$line =~ s/(,),+|(;);+|(:):+|(\!)\!/\1/g; #Remove duplicate consecutive punctuation.
	$line =~ s/^[,.;:!+]+//; #Remove punctuation from start of paragraph.
	$line =~ s/([,.;:"'])[,.;:"']+/\1/g; #Remove unlikely duplication of punctuation
	print $line;
}