#Nisus Macro Block
#source front selection
#destination new
#after execution
#Remove Attributes and Styles
#End Nisus Macro Block
binmode(STDIN, ":utf8");
binmode(STDOUT, ":utf8");

my %h_addresses;
while (my $line = <STDIN>) {
	while ($line =~ s/([\"\x{201C}][^\"]+[\"\x{201D}]\s*|)\<?(([A-Z0-9-]+[._]?){1,}[A-Z0-9-]+\@(([A-Z0-9]+[-]?){1,}[A-Z0-9]+\.){1,}[A-Z]{2,4})//i)
	{
			$h_addresses{lc($2)} = $1;
	}
}
my @list;
foreach my $line (keys (%h_addresses))
{
	push @list,"$h_addresses{$line}<$line>\n";
}
foreach my $edress (sort byname @list)
{
	print $edress;
}
sub byname
{
	my ($A,$B) = ($a,$b);
	$A =~ s/[\x{201C}\x{201D}\"\<\>]+//g;
	$B =~ s/[\x{201C}\x{201D}\"\<\>]+//g;
	$A = lc $A; $B = lc $B;
	return $A cmp $B;
}