#Nisus Macro Block
#source front selection
#destination new
#after execution
#Alles auswählen
#Attribute und Stile entfernen
#End Nisus Macro Block
binmode(STDIN, ":utf8");
binmode(STDOUT, ":utf8");
    
my $frequency_option = 1; #Setzen Sie dies = 0, wenn Sie die Worte alphabetisch sortieren möchten.
my %h_ignore = (
'a','1',
'about','1',
'above','1',
'across','1',
'affect','1',
'after','1',
'again','1',
'ago','1',
'all','1',
'already','1',
'also','1',
'although','1',
'always','1',
'among','1',
'amongst','1',
'an','1',
'and','1',
'another','1',
'any','1',
'anybody','1',
'anymore','1',
'anyone','1',
'anything','1',
'April','1',
'are','1',
'around','1',
'as','1',
'aside','1',
'ask','1',
'at','1',
'Aug','1',
'august','1',
'away','1',
'b','1',
'be','1',
'became','1',
'because','1',
'been','1',
'before','1',
'being','1',
'below','1',
'between','1',
'both','1',
'but','1',
'by','1',
'c','1',
'can','1',
'could','1',
'd','1',
'Dec','1',
'December','1',
'did','1',
'do','1',
'doe','1',
'due','1',
'during','1',
'e','1',
'e','1',
'each','1',
'eight','1',
'eighteen','1',
'either','1',
'eleven','1',
'even','1',
'ever','1',
'every','1',
'everybody','1',
'everyman','1',
'everyone','1',
'except','1',
'f','1',
'Feb','1',
'February','1',
'few','1',
'fewer','1',
'fifteen','1',
'five','1',
'for','1',
'four','1',
'fourteen','1',
'Fri','1',
'Friday','1',
'from','1',
'g','1',
'g','1',
'get','1',
'go','1',
'got','1',
'h','1',
'had','1',
'happen','1',
'hardly','1',
'has','1',
'have','1',
'having','1',
'he','1',
'hence','1',
'her','1',
'here','1',
'hereafter','1',
'hereby','1',
'herein','1',
'hereof','1',
'hereon','1',
'hereto','1',
'herewith','1',
'herself','1',
'him','1',
'himself','1',
'his','1',
'how','1',
'however','1',
'I','1',
'if','1',
'in','1',
'into','1',
'is','1',
'it','1',
'its','1',
'itself','1',
'j','1',
'Jan','1',
'January','1',
'Jul','1',
'July','1',
'Jun','1',
'June','1',
'just','1',
'k','1',
'l','1',
'like','1',
'm','1',
'many','1',
'mar','1',
'march','1',
'may','1',
'me','1',
'might','1',
'mine','1',
'Mon','1',
'Monday','1',
'more','1',
'much','1',
'must','1',
'my','1',
'myself','1',
'n','1',
'neither','1',
'nevertheless','1',
'nine','1',
'nineteen','1',
'no','1',
'noblewoman','1',
'nobody','1',
'none','1',
'nor','1',
'not','1',
'Nov','1',
'November','1',
'now','1',
'o','1',
'o','1',
'Oct','1',
'October','1',
'of','1',
'off','1',
'often','1',
'on','1',
'one','1',
'oneself','1',
'only','1',
'onto','1',
'or','1',
'other','1',
'otherwise','1',
'ought','1',
'our','1',
'ourself','1',
'ourselves','1',
'out','1',
'over','1',
'p','1',
'p','1',
'perhaps','1',
'q','1',
'quite','1',
'r','1',
'rather','1',
'rd','1',
'really','1',
'rev','1',
's','1',
's','1',
'said','1',
'same','1',
'sat','1',
'Saturday','1',
'say','1',
'see','1',
'seemed','1',
'self','1',
'Sep','1',
'Sept.','1',
'September','1',
'seven','1',
'seventeen','1',
'several','1',
'she','1',
'should','1',
'since','1',
'sir','1',
'six','1',
'sixteen','1',
'so','1',
'some','1',
'somebody','1',
'someone','1',
'something','1',
'sometime','1',
'somewhere','1',
'sooner','1',
'st','1',
'still','1',
'such','1',
'sun','1',
'Sunday','1',
't','1',
'take','1',
'ten','1',
'th','1',
'than','1',
'that','1',
'the','1',
'thee','1',
'their','1',
'them','1',
'themselves','1',
'then','1',
'there','1',
'thereafter','1',
'thereby','1',
'therefore','1',
'therefrom','1',
'therein','1',
'thereof','1',
'thereon','1',
'thereto','1',
'therewith','1',
'these','1',
'they','1',
'thing','1',
'thirteen','1',
'this','1',
'those','1',
'thou','1',
'though','1',
'three','1',
'through','1',
'Thursday','1',
'thus','1',
'thy','1',
'thyself','1',
'till','1',
'to','1',
'today','1',
'tomorrow','1',
'too','1',
'tub','1',
'Tuesday','1',
'twelve','1',
'twenty','1',
'two','1',
'u','1',
'un','1',
'under','1',
'unless','1',
'until','1',
'unto','1',
'upon','1',
'us','1',
'use','1',
'v','1',
'very','1',
'w','1',
'was','1',
'we','1',
'wed','1',
'Wednesday','1',
'were','1',
'what','1',
'whatever','1',
'whatsoever','1',
'when','1',
'whenever','1',
'whensoever','1',
'where','1',
'whereby','1',
'wherein','1',
'wherever','1',
'whether','1',
'which','1',
'whichever','1',
'whichsoever','1',
'while','1',
'who','1',
'whoever','1',
'whom','1',
'whomsoever','1',
'whose','1',
'whosoever','1',
'why','1',
'will','1',
'with','1',
'within','1',
'without','1',
'would','1',
'x','1',
'y','1',
'yee','1',
'yes','1',
'yesterday','1',
'yet','1',
'you','1',
'your','1',
'yourself','1',
'z','1',
);
my %h_words;
while (my $line = <STDIN>) {
	#$line =~ s/[^a-z0-9']+/ /gi; #Entfernen Sie die Raute # am Anfang dieser Zeile um alle nicht-alphanumerischen Zeichen (inkl. diakritische Zeichen) durch Leerzeichen zu ersetzen.
	$line =~ s/\s\s+/ /g;
	$line = lc($line);
	my @a_words = split /[,;:\s<>\/"\(\)]+/,$line; #Ohne Punkte bedeutet, dass URLs erhalten bleiben.
	foreach my $word (@a_words) {
		next if ($word eq '.');
		$word =~ s/\.$//; #Den Punkt am Ende eines Wortes entfernen
		$h_words{$word}++ if (not exists($h_ignore{$word}));
	}
}
my @list;
foreach my $word (keys %h_words) {
	 if ($frequency_option)
	{
		push @list, "$h_words{$word}\t$word\n";
	} else
	{
		push @list, "$word\t$h_words{$word}\n";
	}
}
if ($frequency_option)
{
	print "Anzahl\tWort\n";
} else
{
	print "Wort\Anzahl\n";
}
foreach my $line (sort numeric (@list))
{
	print $line;
}
sub numeric
{
	 if ($frequency_option)
	{
		return $b<=>$a;
	} else {return $a cmp $b}
}
